if (Gem.win_platform?) # если винда
  Encoding.default_external = Encoding.find(Encoding.locale_charmap)
  Encoding.default_internal = __ENCODING__

  [STDIN, STDOUT].each do |io|
    io.set_encoding(Encoding.default_external, Encoding.default_internal)
  end
end

#Dir.mkdir("tmp") unless File.exists?("tmp")
#File::delete("./tmp/test.rb")
#Dir.rmdir("tmp")

require "unicode_utils/downcase"
require_relative 'show_field.rb'
require_relative 'game1.rb'
require_relative 'comp_ii.rb'

UnicodeUtils.downcase("D")

show_field = Field.new
game = Game.new
comp_ii = CompII.new

show_field.field
count = 0
while count != 5

  puts "\n\rСделайте ваш ход. (Как делать ход: x1 y1 и Enter)\n"
  player_move = STDIN.gets.chomp.downcase
  # Проверка, чтобы юзер не ввел ерунду
  while !game.all_moves.value?(player_move) do
    puts "\nСделайте ваш ход. (Как делать ход: x1 y1 и Enter)\n"
    player_move = STDIN.gets.chomp.downcase
  end

  case player_move
  when 'x1 y1'
    player_move = 1
  when 'x2 y1'
    player_move = 2
  when 'x3 y1'
    player_move = 3
  when 'x1 y2'
    player_move = 4
  when 'x2 y2'
    player_move = 5
  when 'x3 y2'
    player_move = 6
  when 'x1 y3'
    player_move = 7
  when 'x2 y3'
    player_move = 8
  when 'x3 y3'
    player_move = 9
  end

  player_moves = game.player_moves << player_move

  show_field.show_player_move(player_move)

  game.player_won?(player_moves)

  puts 'Ход компьютера.'
  comp_move = comp_ii.comp_move(player_moves)
  comp_moves = game.comp_moves << comp_move
  while comp_moves.include?(comp_move) ||
      player_moves.include?(comp_move) do
    game.comp_moves.pop
    comp_moves = game.comp_moves << comp_move
    comp_move = comp_ii.comp_move(player_moves)
  end
  show_field.show_comp_move(comp_move)

  game.comp_won?(game.comp_moves)

  if player_moves.size == 5
    puts 'Ничья'
    abort
  end

  count +=1
end